## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

Name:           python-google-crc32c
Version:        1.6.0
Release:        %autorelease
Summary:        A python wrapper of the C library ‘Google CRC32C’

License:        Apache-2.0
URL:            https://github.com/googleapis/python-crc32c
Source:         %{url}/archive/v%{version}/python-crc32c-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc-c++
BuildRequires:  google-crc32c-devel >= 1.1.2

%global _description %{expand:
This package wraps the google/crc32c hardware-based implementation of the
CRC32C hashing algorithm.}

%description %{_description}


%package -n python3-google-crc32c
Summary:        %{summary}

# Remove after F40 reaches end-of-life:
Obsoletes:      python3-google-crc32c+testing < 1.1.2-25

%description -n python3-google-crc32c %{_description}


%prep
%autosetup -n python-crc32c-%{version}
# This is a git submodule, so the bundled library isn’t included in the GitHub
# source archive, but it doesn’t hurt to be very certain.
rm -rv google_crc32c/


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-x testing}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l google_crc32c


%check
%pyproject_check_import

# See BUILDING.md.
pushd scripts >/dev/null
# Check the package, try and load the native library
%{py3_test_envvars} %{python3} -m check_crc32c_extension
popd >/dev/null

%if %{with tests}
%pytest
%endif


%files -n python3-google-crc32c -f %{pyproject_files}
%doc CHANGELOG.md
%doc README.md
%doc SECURITY.md


%changelog
## START: Generated by rpmautospec
* Thu Sep 05 2024 Packit <hello@packit.dev> - 1.6.0-1
- Update to 1.6.0 upstream release
- Resolves: rhbz#2310098

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.5.0-7
- Rebuilt for Python 3.13

* Fri Mar 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-6
- F40+: Remove conditionals for F38/F39

* Fri Mar 29 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-5
- F39+: No longer Obsolete python3-azure-sdk, which was removed by F36

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-1
- Update to 1.5.0 (close RHBZ#2258490)

* Tue Jan 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.0-1
- Update to 1.4.0

* Tue Jan 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-1
- Update to 1.3.0

* Tue Jan 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.0-1
- Update to 1.2.0

* Tue Jan 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.5-1
- Update to 1.1.5

* Tue Jan 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.4-1
- Update to 1.1.4

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.3-1
- Update to 1.1.3

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-25
- Drop and Obsolete (in F40+) the testing extra metapackage

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-20
- Update Summary and description from upstream

* Mon Jan 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.2-10
- Assert a license file is in .dist-info; don’t package a duplicate

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 1.1.2-8
- Rebuilt for Python 3.12

* Wed Feb 22 2023 Major Hayden <major@redhat.com> - 1.1.2-7
- Set SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.1.2-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Major Hayden <major@mhtx.net> - 1.1.2-2
- Move to rpmautospec

* Mon Aug 23 2021 Major Hayden <major@mhtx.net> - 1.1.2-1
- Initial import (#1983176)
## END: Generated by rpmautospec
